<!DOCTYPE html>
<html layout:decorator="lecturer/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">

    <div class="container">
        <h1 th:text="${course.getSubject().getName()} + ' - ' + #{lecturer.courses.registrations}"></h1>
        <h4 th:text="${course.getSemester().getLabel()} + ', ' + ${course.getSubject().getEcts()} + ' ECTS'"></h4>

        <ul class="collection z-depth-1">
            <li class="collection-item" th:if="${#lists.isEmpty(students)}"
                th:text="#{lecturer.courses.registrations.zero}"></li>

            <li class="collection-item" th:each="student : ${students}">
                <div class="title">
                    <a class="teal-text" th:text="${student.name}"></a>
                </div>
                <div>
                    <a class="secondary-content tooltipped modal-trigger"
                       th:attr="data-tooltip=#{lecturer.courses.registrations.issueCertificate}"
                       th:href="'#issue-certificate-' + ${student.id}">

                        <i class="material-icons">send</i>

                    </a>
                    <span th:text="${student.identificationNumber}"></span>
                    <br/>
                    <span th:text="${student.email}"></span>
                </div>

                <!-- Issue certificate  modal -->
                <div class="modal small" th:id="'issue-certificate-' + ${student.id}">
                    <div class="modal-content">
                        <h4 th:text="#{lecturer.courses.registrations.issueCertificate}"></h4>

                        <form method="post" th:action="@{/lecturer/course-details/addGrade}"
                              th:id="'add-grade-form-' + ${student.id}">

                            <input id="studentId" name="studentId" th:value="${student.id}" type="hidden"/>
                            <input id="courseId" name="courseId" th:value="${course.id}" type="hidden"/>

                            <div class="input-field col s12">
                                <input id="authCode" name="authCode" required="required" type="number"/>
                                <label for="authCode" th:text="'Auth code'"></label>
                            </div>

                            <div class="input-field col s12">
                                <select class="col s12" id="mark" name="mark">
                                    <option value="1">1</option>
                                    <option value="2">2</option>
                                    <option value="3">3</option>
                                    <option value="4">4</option>
                                    <option selected="" value="5">5</option>
                                </select>
                                <label for="mark" th:text="#{lecturer.addGrade.note}"></label>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <a class="modal-action waves-effect btn teal" href="#"
                           th:onclick="'$(\'#add-grade-form-' + ${student.id} + '\').submit()'"
                           th:text="#{lecturer.addGrade.submit}"></a>
                        <a class="modal-action modal-close waves-effect btn-flat" href="#"
                           th:text="#{cancel}"></a>
                    </div>
                </div>

            </li>
        </ul>
    </div>

</main>

</body>
</html>
